using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// 维修商
    /// </summary>
    public class MaintainerItem
    {
        public MaintainerItem()
        {
            Brands = new List<string>();
            Familys = new List<string>();
        }

        [JsonProperty("venderId")]
        public string Id { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
        [JsonProperty("website")]
        public string Website { get; set; }

        [JsonProperty("brandList")]
        public List<string> Brands { get; set; }
        [JsonProperty("eqFamilyList")]
        public List<string> Familys { get; set; }
        /// <summary>
        /// 关联项目数量
        /// </summary>
        public int ProjectCount { get; set; }
    }

    /// <summary>
    /// 维修厂商资产信息
    /// </summary>
    public class MaintainerAssetItem
    {
        /// <summary>
        /// 资产Id
        /// </summary>
        [JsonProperty("id")]
        public string Id { get; set; }
        /// <summary>
        /// 分类信息
        /// </summary>
        [JsonProperty("category")]
        public string Category { get; set; }
        /// <summary>
        /// 维护厂商发生变化[与当前查询id不同]
        /// </summary>
        [JsonProperty("hasMaintainer")]
        public bool ChnageMaintainer { get; set; }
        /// <summary>
        /// 关联资产信息
        /// </summary>
        [JsonProperty("infos")]
        public MaintainerAssetInfo Asset { get; set; }

    }

    /// <summary>
    /// 资产信息
    /// </summary>
    public class MaintainerAssetInfo
    {
        /// <summary>
        /// 维修商id
        /// </summary>
         [JsonProperty("DPMaintainerID")]
        public string DpMaintainerId { get; set; }
        /// <summary>
        /// 设备名称
        /// </summary>
        [JsonProperty("EquipName")]
        public string EquipName { get; set; }
        /// <summary>
        /// 本地名称
        /// </summary>
        [JsonProperty("EquipLocalName")]
        public string EquipLocalName { get; set; }
        /// <summary>
        /// 本地编码
        /// </summary>
        [JsonProperty("EquipLocalId")]
        public string EquipLocalId { get; set; }
        /// <summary>
        /// 品牌
        /// </summary>
        [JsonProperty("Brand")]
        public string Brand { get; set; }
        /// <summary>
        /// 产品名
        /// </summary>
        [JsonProperty("Product")]
        public string Product { get; set; }
        /// <summary>
        /// 型号
        /// </summary>
        [JsonProperty("Specification")]
        public string Specification { get; set; }

        /// <summary>
        /// 合同截止日期
        /// </summary>
        [JsonProperty("MaintainDeadline")]
        public string MaintainDeadline { get; set; }
        /// <summary>
        /// 保养周期
        /// </summary>
        [JsonProperty("MaintainPeriod")]
        public string MaintainPeriod { get; set; }
      

    }     
}
